Package org.springframework.security.web.authentication.session

# Class NullAuthenticatedSessionStrategy

java.lang.Object
org.springframework.security.web.authentication.session.NullAuthenticatedSessionStrategy

All Implemented Interfaces:
  `SessionAuthenticationStrategy`

public final class NullAuthenticatedSessionStrategy extends Object implements SessionAuthenticationStrategy

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`NullAuthenticatedSessionStrategy()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onAuthentication(org.springframework.security.core.Authentication authentication, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
Performs Http session-related functionality when a new authentication occurs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullAuthenticatedSessionStrategy

public NullAuthenticatedSessionStrategy()

## Method Details

### onAuthentication

public void onAuthentication(org.springframework.security.core.Authentication authentication, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)
Description copied from interface: `SessionAuthenticationStrategy`
Performs Http session-related functionality when a new authentication occurs.

Specified by:
  `onAuthentication` in interface `SessionAuthenticationStrategy`